//****************************
//***** Eau empoisonne ******
//****************************



textures/mes_textures/siwa_watervert
{
	qer_editorimage textures/mes_textures/siwa_watervert.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	nopicmip
	qer_trans 0.4
	q3map_globaltexture
	{
		map textures/mes_textures/siwa_watervert.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll -0.02 0.001
		alphaFunc GE128
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendfunc add
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcMod scale 0.01 0.01
		tcMod scroll -0.001 -0.0002
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendfunc add
		rgbGen wave sin 0.1 0.03 0 0.4 
		tcMod scale 1 1
		tcMod scroll -0.005 -0.001
	}
	{
		map textures/liquids_sd/siwa_shimshim1.tga
		blendfunc add
		rgbGen wave sin 0.4 0.02 0 0.3 
		tcMod transform 0 1.5 1 1.5 2 1
		tcMod scroll 0.005 -0.001
	}
}


//**************
//**** CIEL ****
//**************


textures/mes_textures/012ciel
{
	nocompress
	qer_editorimage textures/mes_textures/012ciel.tga
	q3map_lightrgb 0.8 0.9 1.0
//	q3map_forcesunlight
	q3map_sun 1 .95 .9 300 210 80
	q3map_skylight 100 3
	q3map_nofog
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 	sunshader textures/skies_sd/siwasunbright
//	sunshader textures/mes_textures/012ciel_sun

	{

                fog off
		map textures/mes_textures/012ciel.tga
		rgbGen identityLighting
		tcMod scroll 0.0008 0.00
		tcMod scale 2 1
	}

	{
		fog off
		clampmap textures/skies_sd/battery_mask_ydnar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.8 0.9 1.0 ) 
	}
}



textures/mes_textures/012ciel_sun
{
	cull none
	q3map_nofog
	surfaceparm nomarks
	
	{
		map textures/mes_textures/caensun.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/mes_textures/Helmfog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.8 0.9 1.0 ) 3000
}


textures/mes_textures/ROP_Riverfog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.8 0.9 1.0 ) 3900
}



textures/mes_textures/watergreenfog
{
	qer_editorimage textures/mes_textures/siwa_watervert.tga
	fogparms ( 0.079534 1.000000 0.175223 ) 1024
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/mes_textures/waterfog
{
	qer_editorimage textures/liquids_sd/siwa_water.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.988105 0.918733 1.000000 ) 1024
}



//******************
//**** Lumires ****
//******************



textures/mes_textures/light_xlight_03_50000
{
	qer_editorimage textures/lights/light_xlight_02.tga
	q3map_surfacelight 50000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mes_textures/light_xlight_03_35000
{
	qer_editorimage textures/lights/light_xlight_02.tga
	q3map_surfacelight 35000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}


textures/mes_textures/light_c02_50000
{
	qer_editorimage textures/lights/light_c02.tga
	q3map_lightimage textures/lights/light_c02.blend.tga
	q3map_surfacelight 50000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_c02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_c02.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}


textures/mes_textures/light_c02_75000
{
	qer_editorimage textures/lights/light_c02.tga
	q3map_lightimage textures/lights/light_c02.blend.tga
	q3map_surfacelight 50000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_c02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_c02.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}


textures/mes_textures/lampe_bleue
{
	qer_editorimage textures/mes_textures/lampe_bleue.tga
	surfaceparm nomarks
	q3map_surfacelight 600000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/mes_textures/lampe_bleue.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/lights/light_m5.blend.tga
		blendfunc add
	}
}

textures/mes_textures/lampe_bleue_faible
{
	qer_editorimage textures/mes_textures/lampe_bleue.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/mes_textures/lampe_bleue.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/lights/light_m5.blend.tga
		blendfunc add
	}
}


//======================================================================
// Base pour le metashader du terrain
//======================================================================
textures/ROP_River/terrain_base
{
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm landmine
	surfaceparm gravelsteps
}


textures/ROP_River/terrain1_base
{
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm landmine
	surfaceparm grasssteps
}

textures/ROP_River/terrain2_base
{
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
}




//======================================================================
// Metashader pour le Terrain
// _0: sable/sandy_dirty
// _1: graviers/ground_c07a
// _2: Herbe
// _3: roche
//======================================================================
textures/ROP_River/terrain1_0
{
        qer_editorimage textures/mes_textures/sandy_dirt_01.tga
	q3map_baseshader textures/ROP_River/terrain_base
	{
		map textures/mes_textures/sandy_dirt_01.tga
		rgbgen identity
		tcMod scale 1 1
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}

}

textures/ROP_River/terrain1_1
{
        qer_editorimage textures/temperate_sd/dirt3.tga
	q3map_baseshader textures/ROP_River/terrain_base
	{
		map textures/temperate_sd/dirt3.tga
		tcMod scale 1 1
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/ROP_River/terrain1_2
{
        qer_editorimage textures/temperate_sd/grass_dense1.tga
	q3map_baseshader textures/ROP_River/terrain1_base
	{
		map textures/temperate_sd/grass_dense1.tga
		tcMod scale 1 1
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/ROP_River/terrain1_3
{
        qer_editorimage textures/mes_textures/025roche.tga
	q3map_baseshader textures/ROP_River/terrain2_base
	{
		map textures/mes_textures/025roche.tga
		rgbgen identity
		tcMod scale 1 1
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/ROP_River/terrain1_0to1
{
        qer_editorimage textures/mes_textures/sandy_dirt_01.tga
	q3map_baseshader textures/ROP_River/terrain_base
	{
		map textures/mes_textures/sandy_dirt_01.tga
		rgbgen identity
		tcMod scale 1 1
	}
	{
		map textures/temperate_sd/dirt3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		tcMod scale 1 1
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/ROP_River/terrain1_0to2
{
        qer_editorimage textures/mes_textures/sandy_dirt_01.tga
	q3map_baseshader textures/ROP_River/terrain_base
	{
		map textures/mes_textures/sandy_dirt_01.tga
		rgbgen identity
		tcMod scale 1 1
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		tcMod scale 1 1
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/ROP_River/terrain1_0to3
{
        qer_editorimage textures/mes_textures/sandy_dirt_01.tga
	q3map_baseshader textures/ROP_River/terrain2_base
	{
		map textures/mes_textures/sandy_dirt_01.tga
		rgbgen identity
		tcMod scale 1 1	
	}
	{
		map textures/mes_textures/025roche.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		tcMod scale 1 1
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/ROP_River/terrain1_1to2
{
        qer_editorimage textures/temperate_sd/dirt3.tga
	q3map_baseshader textures/ROP_River/terrain_base
	{
		map textures/temperate_sd/dirt3.tga
		tcMod scale 1 1
		rgbgen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 1 1
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/ROP_River/terrain1_1to3
{
        qer_editorimage textures/temperate_sd/dirt3.tga
	q3map_baseshader textures/ROP_River/terrain2_base
	{
		map textures/temperate_sd/dirt3.tga
		tcMod scale 1 1
		rgbgen identity
	}
	{
		map textures/mes_textures/025roche.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 1 1
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/ROP_River/terrain1_2to3
{
        qer_editorimage textures/temperate_sd/grass_dense1.tga
	q3map_baseshader textures/ROP_River/terrain2_base
	{
		map textures/temperate_sd/grass_dense1.tga
		tcMod scale 1 1
		rgbgen identity
	}
	{
		map textures/mes_textures/025roche.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 1 1
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}



textures/mes_textures/trigger
{
	qer_editorimage textures/mes_textures/lampe_verte.tga
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

